KDE 4.7 PyKDE API Reference

- KDE's Python API

# ExtraField Class Reference

`from PyKDE4.kdecore import *`

Namespace: KProtocolInfo

## Detailed Description

Definition of an extra field in the UDS entries, returned by a listDir operation.

The name is the name of the column, translated.

The type name comes from QVariant.typeName() Currently supported types: "QString", "QDateTime" (ISO-8601 format)

## Enumerations
Type | { String, DateTime, Invalid }
## Attributes
QString | name
KProtocolInfo.ExtraField.Type | type
## Methods
| __init__ (self)
| __init__ (self, QString _name, KProtocolInfo.ExtraField.Type _type)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QString | _name,
|  | KProtocolInfo.ExtraField.Type | _type
| ) |  |  |

## Attribute Documentation

QString name

KProtocolInfo.ExtraField.Type type

## Enumeration Documentation

Type

Enumerator:

  String = QVariant::String |
  DateTime = QVariant::DateTime |
  Invalid = QVariant::Invalid |